충돌하는 자막 쌍

Moses Skoda엔지니어1분 소요

API는 이 문제가 발생하면 422 Unprocessable Content 응답을 반환합니다. type 값은 https://lingo.dev/docs/api/errors/vtt-pairs-repeated입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.

VTT 쌍에 동일한 원문과 대상 로캘의 조합에 대해 서로 충돌하는 항목이 있습니다: "<text>" → pt-BR

필드#

응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 구성되므로 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.

필드유형
pairsobject[]
pairs[].textstring
pairs[].targetLocalestring

예시#

json
{
  "detail": "VTT pair contains conflicting entries for the same source text and target locale: \"<text>\" → pt-BR",
  "pairs": [
    {
      "text": "<text>",
      "targetLocale": "pt-BR"
    }
  ],
  "type": "https://lingo.dev/docs/api/errors/vtt-pairs-repeated",
  "status": 422,
  "title": "Conflicting subtitle pairs"
}

이 오류를 반환하는 엔드포인트#

  • POST /v2/engines/{engineId}/glossary-terms/extract-from-vtt